<?php
 
 
 

namespace PhpWA\Protocol\Proto\ThreadID;

use UnexpectedValueException;




class ThreadType
{
    


    const UNKNOWN = 0;
    


    const VIEW_REPLIES = 1;
    


    const AI_THREAD = 2;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::VIEW_REPLIES => 'VIEW_REPLIES',
        self::AI_THREAD => 'AI_THREAD',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

